# DataExchange
TKSTEPBase
StepShape

# StepShape_Array1OfFaceBound Class Reference

`#include <StepShape_Array1OfFaceBound.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_Array1OfFaceBound (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_Array1OfFaceBound (const Handle(StepShape_FaceBound)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepShape_FaceBound)&V)
Standard_EXPORT void | Destroy ()
| ~StepShape_Array1OfFaceBound ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepShape_Array1OfFaceBound & | Assign (const StepShape_Array1OfFaceBound &Other)
const StepShape_Array1OfFaceBound & | operator= (const StepShape_Array1OfFaceBound &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_FaceBound)&Value)
const Handle_StepShape_FaceBound & | Value (const Standard_Integer Index) const
const Handle_StepShape_FaceBound & | operator() (const Standard_Integer Index) const
Handle_StepShape_FaceBound & | ChangeValue (const Standard_Integer Index)
Handle_StepShape_FaceBound & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepShape_Array1OfFaceBound (const StepShape_Array1OfFaceBound &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Array1OfFaceBound::StepShape_Array1OfFaceBound | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_Array1OfFaceBound::StepShape_Array1OfFaceBound | ( | const Handle(StepShape_FaceBound)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepShape_Array1OfFaceBound::~StepShape_Array1OfFaceBound | ( |  | ) | `[inline]`

Standard_EXPORT StepShape_Array1OfFaceBound::StepShape_Array1OfFaceBound | ( | const StepShape_Array1OfFaceBound & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepShape_Array1OfFaceBound& StepShape_Array1OfFaceBound::Assign | ( | const StepShape_Array1OfFaceBound & | Other | ) |

Handle_StepShape_FaceBound& StepShape_Array1OfFaceBound::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepShape_Array1OfFaceBound::Destroy | ( |  | ) |

Standard_EXPORT void StepShape_Array1OfFaceBound::Init | ( | const Handle(StepShape_FaceBound)& | V | ) |

Standard_Boolean StepShape_Array1OfFaceBound::IsAllocated | ( |  | ) | const

Standard_Integer StepShape_Array1OfFaceBound::Length | ( |  | ) | const

Standard_Integer StepShape_Array1OfFaceBound::Lower | ( |  | ) | const

void StepShape_Array1OfFaceBound::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_Array1OfFaceBound::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_Array1OfFaceBound::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepShape_FaceBound& StepShape_Array1OfFaceBound::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepShape_FaceBound& StepShape_Array1OfFaceBound::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepShape_Array1OfFaceBound& StepShape_Array1OfFaceBound::operator= | ( | const StepShape_Array1OfFaceBound & | Other | ) | `[inline]`

void StepShape_Array1OfFaceBound::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_FaceBound)& | Value
| ) |

Standard_Integer StepShape_Array1OfFaceBound::Upper | ( |  | ) | const

const Handle_StepShape_FaceBound& StepShape_Array1OfFaceBound::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepShape_Array1OfFaceBound::isAllocated `[private]`

Standard_Integer StepShape_Array1OfFaceBound::myLowerBound `[private]`

Standard_Address StepShape_Array1OfFaceBound::myStart `[private]`

Standard_Integer StepShape_Array1OfFaceBound::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepShape_Array1OfFaceBound.hxx